Bug 2228238 - CVE-2023-34320 xen: Xen Security Advisory 436 v1 (CVE-2023-34320) - arm: Guests can trigger a deadlock on Cortex-A77 [fedora-all]
Summary: CVE-2023-34320 xen: Xen Security Advisory 436 v1 (CVE-2023-34320) - arm: Gues...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-34320
TreeView+ depends on / blocked
 
Reported: 2023-08-01 19:10 UTC by Patrick Del Bello
Modified: 2023-08-27 00:50 UTC (History)
2 users (show)

Fixed In Version: xen-4.17.1-9.fc38 xen-4.16.5-1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-05 01:38:16 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Patrick Del Bello 2023-08-01 19:10:49 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2228237

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Patrick Del Bello 2023-08-01 19:10:51 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2228237,2228238

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-08-01 21:07:36 UTC
FEDORA-2023-0d6aa10621 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0d6aa10621

Comment 3 Fedora Update System 2023-08-01 21:32:11 UTC
FEDORA-2023-b7b87e4966 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b7b87e4966

Comment 4 Fedora Update System 2023-08-02 01:38:36 UTC
FEDORA-2023-b7b87e4966 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-b7b87e4966`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b7b87e4966

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-08-02 01:41:15 UTC
FEDORA-2023-0d6aa10621 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0d6aa10621`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0d6aa10621

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-08-05 01:38:16 UTC
FEDORA-2023-0d6aa10621 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-08-12 05:42:51 UTC
FEDORA-2023-04473fc41e has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-04473fc41e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-04473fc41e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-08-27 00:50:11 UTC
FEDORA-2023-04473fc41e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.